#include once "fltk-c.bi"

'test of:
' Fl_SliderExNew()      http://www.fltk.org/doc-1.3/classFl__Slider.html

function HandleCB cdecl (self as any ptr,event as Fl_Event) as integer
  select case event
  case FL_EVENT.FL_RELEASE , FL_EVENT.FL_DRAG
    print "HandleCB SliderValue = " & Fl_ValuatorGetValue(self)
  end select
  return 0
end function

dim as Fl_Window ptr win = Fl_WindowNew(390,210,"Fl_SliderEx01")
dim as Fl_SliderEx ptr sld = Fl_SliderExNew( 10, 10, 30,180,"0.0-1.0")
Fl_SliderExSetHandleCB sld, @HandleCB
Fl_WindowShow win
Fl_Run
